%global pypi_name tempora

# Docs build fails ATM with sphinx >= 7.2.5
%bcond_with docs

# Missing pkgs:
# - pytest-freezer
# - pytest-ruff
%bcond_with check

Name:           python-%{pypi_name}
Version:        5.5.1
Release:        %mkrel 1
Summary:        Objects and routines pertaining to date and time (tempora)
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/tempora/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Objects and routines pertaining to date and time (tempora).

%package -n python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python

%description -n python3-%{pypi_name}
Objects and routines pertaining to date and time (tempora).

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_docs:-x docs} %{?with_check:-x testing}

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files tempora

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%if %{with docs}
%doc html
%endif
%{_bindir}/calc-prorate


%changelog
* Thu Feb 29 2024 daviddavid <daviddavid> 5.5.1-1.mga10
+ Revision: 2045693
- new version: 5.5.1

* Sun Dec 10 2023 wally <wally> 5.5.0-1.mga10
+ Revision: 2016790
- new version 5.5.0
- use pyproject rpm macros

* Wed Jan 25 2023 guillomovitch <guillomovitch> 5.2.1-1.mga9
+ Revision: 1936039
- new version 5.2.1

* Sun Nov 27 2022 guillomovitch <guillomovitch> 5.1.0-1.mga9
+ Revision: 1911576
- new version 5.1.0

* Sun Sep 18 2022 neoclust <neoclust> 5.0.2-1.mga9
+ Revision: 1889845
- New version  5.0.2

* Thu Mar 31 2022 umeabot <umeabot> 5.0.1-2.mga9
+ Revision: 1837405
- Mageia 9 Mass Rebuild

* Wed Mar 02 2022 guillomovitch <guillomovitch> 5.0.1-1.mga9
+ Revision: 1787645
- new version 5.0.1
- disable doc

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 5.0.0-2.mga9
+ Revision: 1782111
- rebuild for python-3.10

* Sun Jan 16 2022 guillomovitch <guillomovitch> 5.0.0-1.mga9
+ Revision: 1768683
- new version 5.0.0

* Sun Nov 28 2021 guillomovitch <guillomovitch> 4.1.2-1.mga9
+ Revision: 1759733
-new version 4.1.2

* Sun Aug 22 2021 guillomovitch <guillomovitch> 4.1.1-1.mga9
+ Revision: 1742327
- new version 4.1.1

* Sun Mar 21 2021 guillomovitch <guillomovitch> 4.0.1-1.mga9
+ Revision: 1706781
- new version 4.0.1

* Tue Nov 10 2020 guillomovitch <guillomovitch> 1.14.1-1.mga8
+ Revision: 1644313
- imported package python-tempora

